Subject: Re: [PATCH] *icsk_ca_priv: Reduce inet_connection_sock size?

From: Daniele Lacamera <[email-masked]>
Date: Sun, 31 Aug 2008 23:35:54 +0200

Evgeniy Polyakov wrote:
> Hi Daniele.
>
> This actually may be not a big problem, since we allocate and free
> objects all the time, but still it is additional overhead which can be
> avoided. Did you run some perfromance analysis to check if influence is
> small or not visible at all?
>   
Evgeniy, thanks for pointing out the issue.

On my virtual machine (kvm), the alloc operation always takes less than 
one jiffie, but I can't say exactly how long. Is there a way to measure 
fast path time more accurately (e.g. nanoseconds)?